# HAC

项目成本管控系统 - 前端 vue3

---

## node.js 的版本需要  14.18+

```shell

// 检查你的node版本, 如果低于 14.18, 请先更新node.js

node -v

```

---

### 推荐使用  `yarn` 管理依赖

如果电脑上还没有安装 `yarn` ，执行以下命令安装 `yarn`

``` shell
npm install -g yarn

//或者

cnpm install -g yarn
```

然后在 此项目下 执行

```shell
yarn

// 或者

yarn install
```

---

### `yarn` 的相关命令

安装依赖

```shell
yarn add 依赖名

// 或者
yarn add -D 依赖名
```

检测依赖更新

```shell
yarn upgrade-interactive --latest
```

ui组件库文档

- **[公网文档地址](http://ui.hczcxx.cn/)**
- **[局域网(测试)服务器文档](http://192.168.0.109:3300/)**


js-fast-way 文档

- **[文档地址](https://js-fast-way.vercel.app/)**
- **[国内文档地址](http://izaizaiaa.gitee.io/js-fast-way)**


---

### 打包说明

#### 一键全打包

`node:build` 为一键打包为zip的方式


#### 缺省打包

`build:nopublic` 为不包含`/public/plugins`文件夹的打包方式，减少每次打包后的体积过大的问题。

但是如果此相关文件有变动，需要使用 `node:build` 方式打包

一般来说，`/public/plugins` 很少出现变动的情况。

在服务器上更新时，请注意，不要删除服务器上存在的 `plugins`，否则会出现异常。
