import {httpApi} from "../request/httpApi";

//用户配置保存
export const userConfigSave = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form
}, msg);

//用户配置详情
export const userConfigInfo = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form
}, msg);

//获取全部项目列表
export const getProjectList = () => httpApi({
    url: '/api/blade-control/ex/ma/project/list',
    method: 'get',
    params: {}
}, false);

//将数字转换为汉语大写，支持小数点
export const getNumberToChinese = (form) => httpApi({
    url: '/api/blade-control/ex/ma/getNumberToChinese',
    method: 'get',
    params: {
        value: form
    }
}, false);

//字典数据查询接口
export const getDictInfo = (code) => httpApi({
    url: '/api/blade-control/dictinfo/get-dict-info',
    method: 'get',
    params: {
        code
    }
}, false);
//获取部门列表
export const getdepartmentList = (form, msg = true) => httpApi({
    url: '/api/blade-system/dept/list',
    method: 'get',
    params: form
}, msg);
//获取用户列表
export const getuserList = (form, msg = true) => httpApi({
    url: '/api/blade-user/user-list',
    method: 'get',
    params: form
}, msg);


