import {httpApi} from "../../request/httpApi";
import website from "~src/config/index";

//新增或修改参数
export const submitDictionary = (form, msg = true) => httpApi({
    url: '/api/blade-control/dictinfo/submit',
    method: 'post',
    data: form
}, msg);
//删除
export const removeDictionary = (form, msg = true) => httpApi({
    url: '/api/blade-control/dictinfo/remove',
    method: 'post',
    params: form
}, msg);
//顶级列表
export const getParentList = (form, msg = true) => httpApi({
    url: '/api/blade-control/dictinfo/parent-list',
    method: 'get',
    params: form
}, msg);

//子列表
export const getChildList = (form, msg = true) => httpApi({
    url: '/api/blade-control/dictinfo/child-list',
    method: 'get',
    params: form
}, msg);

//参数配置审批流程列表
export const getApproveList = (form, msg = false) => httpApi({
    url: '/api/blade-control/approve/data/dict/list',
    method: 'get',
    params: form
}, msg);
//参数配置流程提交
export const submitApproveList = (form, msg = false) => httpApi({
    url: '/api/blade-control/approve/data/dict/submit',
    method: 'post',
    data: form
}, msg);
