import config from './index.json'

//主要配置
export default {
    title: '项目管控平台',
    key: 'hac',                     // 配置主键,目前用于存储
    clientId: 'hac',                // 客户端id
    clientSecret: 'hac_secret',     // 客户端密钥
    sysId: "1654421197196595202",   // 应用ID
    tenantMode: true,               // 是否开启租户模式
    tenantId: "003077",             // 管理组租户编号
    captchaMode: false,             // 是否开启验证码模式
    switchMode: false,              // 是否开启部门切换模式
    tokenTime: 1740,
    tokenHeader: 'Blade-Auth',
    tokenKey: 'hac-access-token',
    refreshTokenKey: 'hac-refresh-token',
    statusWhiteList: [],        //http的status默认放行列表
    ...config,
    socket: 'wss://business.hcxxy.com/wss/websocket/',  //测试线上
    //这里不再支持配置请求地址，请在 src/config/index.json 文件中配置。
    //相关参数，可查阅 src/config/index.md 文件说明
}
